Summary: front-end to RRDTool
Name: nrg
Version: 0.34.pre1
Release: 0
Copyright: GPL
Group: Applications/Internet
Source0: ftp://teak.wiscnet.net/pub/nrg/%{name}-%{version}.tar.gz
Source1: nrg.conf
Patch0:  nrg.patch
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Henri Gomez <gomez@slib.fr>
Requires: rrdtool >= 1.0.7
BuildArchitectures: noarch

%description
NRG is a front-end to RRDTool for graphing internetworks. It's intent
is to provide a simple environment for operating and managing RRDtool.
NRG maintains databases of network resource data and generates web pages
for visualizing network resource utilization.

%prep
%setup -q
%patch

%build
./configure --prefix=/usr --sysconfdir=/etc/nrg

%install
rm -rf $RPM_BUILD_ROOT
make BIN_DIR=$RPM_BUILD_ROOT/usr/bin ETC_DIR=$RPM_BUILD_ROOT/etc/nrg install
mkdir -p $RPM_BUILD_ROOT/usr/doc
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/nrg
install %{SOURCE1} $RPM_BUILD_ROOT/home/httpd/html/nrg
install images/*    $RPM_BUILD_ROOT/home/httpd/html/nrg

%clean
rm -rf $RPM_BUILD_ROOT

%post
nrg-runmaker -v  /home/httpd/html/nrg/nrg.conf /etc/runnrg
nrg-cgimaker -v  /home/httpd/html/nrg/nrg.conf

 if ! grep '* * * * root /etc/runnrg' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "0-59/5 * * * * root /etc/runnrg" >> /etc/crontab
 fi
echo ""
echo ""
echo "Build your rrd database with"
echo "nrg-rrdkeeper -v /home/httpd/html/nrg/nrg.conf"
echo "if you're running also mrtg/rrd, nrg-rrdkeeper"
echo "will detect them and will ask for keep/archive/remove"
echo "better now is to keep them in place ;-)"
echo ""
echo ""
echo "You must modify /etc/httpd/conf/httpd.conf"
echo ""
echo "1) Locate string <Directory \"/home/httpd/html\">"
echo "   add ExecCGI to Options"
echo "   ie: Options Indexes FollowSymLinks ExecCGI"
echo ""
echo "2) Locate string AddHandle cgi-script"
echo "   uncomment line with AddHandler cgi-script .cgi"
echo ""
echo "PS: it's not done magically by this package since it could"
echo "break your security rules"
echo ""

%files
%defattr(-,root,root)
%attr(755,root,root)     /usr/bin/*
%attr(-,root,root)       /etc/nrg/*
%attr(744,nobody,nobody) /home/httpd/html/nrg/*
%doc README* CONFIGURATION INSTALL MANIFEST TODO VERSION CHANGES LICENSE examples

%changelog
* Thu Nov 25 1999 Henri Gomez <gomez@slib.fr>
- 0.33
  Initial RPM release
